diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/sixlowpan/test/sixlowpan-example-ping-lr-wpan.reflog ns-3.44/src/sixlowpan/test/sixlowpan-example-ping-lr-wpan.reflog
--- ns-3.43/src/sixlowpan/test/sixlowpan-example-ping-lr-wpan.reflog	2024-10-09 16:41:10.080656500 -0700
+++ ns-3.44/src/sixlowpan/test/sixlowpan-example-ping-lr-wpan.reflog	2025-03-09 16:55:49.687372200 -0700
@@ -1,16 +1,16 @@
 Device 0: pseudo-Mac-48 02:00:00:00:00:01, IPv6 Address 2001:2::ff:fe00:1
 Device 1: pseudo-Mac-48 02:00:00:00:00:02, IPv6 Address 2001:2::ff:fe00:2
 PING 2001:2::ff:fe00:2 - 16 bytes of data; 64 bytes including ICMP and IPv6 headers.
-24 bytes from (2001:2::ff:fe00:2): icmp_seq=0 ttl=64 time=21.536 ms
-24 bytes from (2001:2::ff:fe00:2): icmp_seq=1 ttl=64 time=9.312 ms
-24 bytes from (2001:2::ff:fe00:2): icmp_seq=2 ttl=64 time=8.992 ms
-24 bytes from (2001:2::ff:fe00:2): icmp_seq=3 ttl=64 time=9.952 ms
-24 bytes from (2001:2::ff:fe00:2): icmp_seq=4 ttl=64 time=6.752 ms
+24 bytes from (2001:2::ff:fe00:2): icmp_seq=0 ttl=64 time=21.216 ms
+24 bytes from (2001:2::ff:fe00:2): icmp_seq=1 ttl=64 time=7.712 ms
+24 bytes from (2001:2::ff:fe00:2): icmp_seq=2 ttl=64 time=7.712 ms
+24 bytes from (2001:2::ff:fe00:2): icmp_seq=3 ttl=64 time=7.392 ms
+24 bytes from (2001:2::ff:fe00:2): icmp_seq=4 ttl=64 time=10.592 ms
 
 --- 2001:2::ff:fe00:2 ping statistics ---
-5 packets transmitted, 5 received, 0% packet loss, time 4006ms
-rtt min/avg/max/mdev = 6/10.6/21/5.941 ms
+5 packets transmitted, 5 received, 0% packet loss, time 4010ms
+rtt min/avg/max/mdev = 7/10.4/21/6.066 ms
 NDISC Cache of node 0 at time +9s
 2001:2::ff:fe00:2 dev 2 lladdr 00-06-02:00:00:00:00:02 REACHABLE
 NDISC Cache of node 1 at time +9s
-2001:2::ff:fe00:1 dev 2 lladdr 00-06-02:00:00:00:00:01 REACHABLE
\ No newline at end of file
+2001:2::ff:fe00:1 dev 2 lladdr 00-06-02:00:00:00:00:01 REACHABLE
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/sixlowpan/test/sixlowpan-fragmentation-test.cc ns-3.44/src/sixlowpan/test/sixlowpan-fragmentation-test.cc
--- ns-3.43/src/sixlowpan/test/sixlowpan-fragmentation-test.cc	2024-10-09 16:41:10.080656500 -0700
+++ ns-3.44/src/sixlowpan/test/sixlowpan-fragmentation-test.cc	2025-03-09 16:55:49.687372200 -0700
@@ -36,9 +36,9 @@
 using namespace ns3;
 
 /**
- * \ingroup sixlowpan-tests
+ * @ingroup sixlowpan-tests
  *
- * \brief 6LoWPAN Fragmentation Test
+ * @brief 6LoWPAN Fragmentation Test
  */
 class SixlowpanFragmentationTest : public TestCase
 {
@@ -63,12 +63,12 @@
 
     /**
      * Start the server node.
-     * \param serverNode The server node.
+     * @param serverNode The server node.
      */
     void StartServer(Ptr<Node> serverNode);
     /**
      * Handles incoming packets in the server.
-     * \param socket The receiving socket.
+     * @param socket The receiving socket.
      */
     void HandleReadServer(Ptr<Socket> socket);
 
@@ -76,21 +76,21 @@
 
     /**
      * Start the client node.
-     * \param clientNode The client node.
+     * @param clientNode The client node.
      */
     void StartClient(Ptr<Node> clientNode);
     /**
      * Handles incoming packets in the client.
-     * \param socket The receiving socket.
+     * @param socket The receiving socket.
      */
     void HandleReadClient(Ptr<Socket> socket);
     /**
      * Handles incoming ICMP packets in the client.
-     * \param icmpSource ICMP sender address.
-     * \param icmpTtl ICMP TTL.
-     * \param icmpType ICMP type.
-     * \param icmpCode ICMP code.
-     * \param icmpInfo ICMP info.
+     * @param icmpSource ICMP sender address.
+     * @param icmpTtl ICMP TTL.
+     * @param icmpType ICMP type.
+     * @param icmpCode ICMP code.
+     * @param icmpInfo ICMP info.
      */
     void HandleReadIcmpClient(Ipv6Address icmpSource,
                               uint8_t icmpTtl,
@@ -99,14 +99,14 @@
                               uint32_t icmpInfo);
     /**
      * Set the packet optional content.
-     * \param fill Pointer to an array of data.
-     * \param fillSize Size of the array of data.
-     * \param dataSize Size of the packet - if fillSize is less than dataSize, the data is repeated.
+     * @param fill Pointer to an array of data.
+     * @param fillSize Size of the array of data.
+     * @param dataSize Size of the packet - if fillSize is less than dataSize, the data is repeated.
      */
     void SetFill(uint8_t* fill, uint32_t fillSize, uint32_t dataSize);
     /**
      * Send a packet to the server.
-     * \returns The packet sent.
+     * @returns The packet sent.
      */
     Ptr<Packet> SendClient();
 };
@@ -468,9 +468,9 @@
 }
 
 /**
- * \ingroup sixlowpan-tests
+ * @ingroup sixlowpan-tests
  *
- * \brief 6LoWPAN Fragmentation TestSuite
+ * @brief 6LoWPAN Fragmentation TestSuite
  */
 class SixlowpanFragmentationTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/sixlowpan/test/sixlowpan-hc1-test.cc ns-3.44/src/sixlowpan/test/sixlowpan-hc1-test.cc
--- ns-3.43/src/sixlowpan/test/sixlowpan-hc1-test.cc	2024-10-09 16:41:10.080656500 -0700
+++ ns-3.44/src/sixlowpan/test/sixlowpan-hc1-test.cc	2025-03-09 16:55:49.687372200 -0700
@@ -26,9 +26,9 @@
 using namespace ns3;
 
 /**
- * \ingroup sixlowpan-tests
+ * @ingroup sixlowpan-tests
  *
- * \brief 6LoWPAN HC1 Test
+ * @brief 6LoWPAN HC1 Test
  */
 class SixlowpanHc1ImplTest : public TestCase
 {
@@ -37,16 +37,16 @@
     /**
      * Send data function.
      *
-     * \param socket The sending socket.
-     * \param to The destination.
+     * @param socket The sending socket.
+     * @param to The destination.
      */
     void DoSendData(Ptr<Socket> socket, std::string to);
 
     /**
      * Send data function.
      *
-     * \param socket The sending socket.
-     * \param to The destination.
+     * @param socket The sending socket.
+     * @param to The destination.
      */
     void SendData(Ptr<Socket> socket, std::string to);
 
@@ -57,15 +57,15 @@
     /**
      * Packet receive function.
      *
-     * \param socket The receiving socket.
-     * \param packet The received packet.
-     * \param from The sender.
+     * @param socket The receiving socket.
+     * @param packet The received packet.
+     * @param from The sender.
      */
     void ReceivePacket(Ptr<Socket> socket, Ptr<Packet> packet, const Address& from);
     /**
      * Packet receive function.
      *
-     * \param socket The receiving socket.
+     * @param socket The receiving socket.
      */
     void ReceivePkt(Ptr<Socket> socket);
 };
@@ -201,9 +201,9 @@
 }
 
 /**
- * \ingroup sixlowpan-tests
+ * @ingroup sixlowpan-tests
  *
- * \brief 6LoWPAN HC1 TestSuite
+ * @brief 6LoWPAN HC1 TestSuite
  */
 class SixlowpanHc1TestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/sixlowpan/test/sixlowpan-iphc-stateful-test.cc ns-3.44/src/sixlowpan/test/sixlowpan-iphc-stateful-test.cc
--- ns-3.43/src/sixlowpan/test/sixlowpan-iphc-stateful-test.cc	2024-10-09 16:41:10.080656500 -0700
+++ ns-3.44/src/sixlowpan/test/sixlowpan-iphc-stateful-test.cc	2025-03-09 16:55:49.687372200 -0700
@@ -30,14 +30,14 @@
 using namespace ns3;
 
 /**
- * \ingroup sixlowpan-tests
+ * @ingroup sixlowpan-tests
  *
- * \brief 6LoWPAN IPHC stateful compression Test
+ * @brief 6LoWPAN IPHC stateful compression Test
  */
 class SixlowpanIphcStatefulImplTest : public TestCase
 {
     /**
-     * \brief Structure to hold the Rx/Tx packets.
+     * @brief Structure to hold the Rx/Tx packets.
      */
     struct Data
     {
@@ -51,13 +51,13 @@
 
     /**
      * Receive from a MockDevice.
-     * \param device a pointer to the net device which is calling this function
-     * \param packet the packet received
-     * \param protocol the 16 bit protocol number associated with this packet.
-     * \param source the address of the sender
-     * \param destination the address of the receiver
-     * \param packetType type of packet received (broadcast/multicast/unicast/otherhost)
-     * \returns true.
+     * @param device a pointer to the net device which is calling this function
+     * @param packet the packet received
+     * @param protocol the 16 bit protocol number associated with this packet.
+     * @param source the address of the sender
+     * @param destination the address of the receiver
+     * @param packetType type of packet received (broadcast/multicast/unicast/otherhost)
+     * @returns true.
      */
     bool ReceiveFromMockDevice(Ptr<NetDevice> device,
                                Ptr<const Packet> packet,
@@ -68,13 +68,13 @@
 
     /**
      * Promiscuous receive from a SixLowPanNetDevice.
-     * \param device a pointer to the net device which is calling this function
-     * \param packet the packet received
-     * \param protocol the 16 bit protocol number associated with this packet.
-     * \param source the address of the sender
-     * \param destination the address of the receiver
-     * \param packetType type of packet received (broadcast/multicast/unicast/otherhost)
-     * \returns true.
+     * @param device a pointer to the net device which is calling this function
+     * @param packet the packet received
+     * @param protocol the 16 bit protocol number associated with this packet.
+     * @param source the address of the sender
+     * @param destination the address of the receiver
+     * @param packetType type of packet received (broadcast/multicast/unicast/otherhost)
+     * @returns true.
      */
     bool PromiscReceiveFromSixLowPanDevice(Ptr<NetDevice> device,
                                            Ptr<const Packet> packet,
@@ -85,9 +85,9 @@
 
     /**
      * Send one packet.
-     * \param device the device to send from
-     * \param from sender address
-     * \param to destination address
+     * @param device the device to send from
+     * @param from sender address
+     * @param to destination address
      */
     void SendOnePacket(Ptr<NetDevice> device, Ipv6Address from, Ipv6Address to);
 
@@ -366,9 +366,9 @@
 }
 
 /**
- * \ingroup sixlowpan-tests
+ * @ingroup sixlowpan-tests
  *
- * \brief 6LoWPAN IPHC TestSuite
+ * @brief 6LoWPAN IPHC TestSuite
  */
 class SixlowpanIphcStatefulTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/sixlowpan/test/sixlowpan-iphc-test.cc ns-3.44/src/sixlowpan/test/sixlowpan-iphc-test.cc
--- ns-3.43/src/sixlowpan/test/sixlowpan-iphc-test.cc	2024-10-09 16:41:10.080656500 -0700
+++ ns-3.44/src/sixlowpan/test/sixlowpan-iphc-test.cc	2025-03-09 16:55:49.687372200 -0700
@@ -26,9 +26,9 @@
 using namespace ns3;
 
 /**
- * \ingroup sixlowpan-tests
+ * @ingroup sixlowpan-tests
  *
- * \brief 6LoWPAN IPHC Test
+ * @brief 6LoWPAN IPHC Test
  */
 class SixlowpanIphcImplTest : public TestCase
 {
@@ -37,16 +37,16 @@
     /**
      * Send data function.
      *
-     * \param socket The sending socket.
-     * \param to The destination.
+     * @param socket The sending socket.
+     * @param to The destination.
      */
     void DoSendData(Ptr<Socket> socket, std::string to);
 
     /**
      * Send data function.
      *
-     * \param socket The sending socket.
-     * \param to The destination.
+     * @param socket The sending socket.
+     * @param to The destination.
      */
     void SendData(Ptr<Socket> socket, std::string to);
 
@@ -57,15 +57,15 @@
     /**
      * Packet receive function.
      *
-     * \param socket The receiving socket.
-     * \param packet The received packet.
-     * \param from The sender.
+     * @param socket The receiving socket.
+     * @param packet The received packet.
+     * @param from The sender.
      */
     void ReceivePacket(Ptr<Socket> socket, Ptr<Packet> packet, const Address& from);
     /**
      * Packet receive function.
      *
-     * \param socket The receiving socket.
+     * @param socket The receiving socket.
      */
     void ReceivePkt(Ptr<Socket> socket);
 };
@@ -199,9 +199,9 @@
 }
 
 /**
- * \ingroup sixlowpan-tests
+ * @ingroup sixlowpan-tests
  *
- * \brief 6LoWPAN IPHC TestSuite
+ * @brief 6LoWPAN IPHC TestSuite
  */
 class SixlowpanIphcTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/spectrum/examples/adhoc-aloha-ideal-phy.cc ns-3.44/src/spectrum/examples/adhoc-aloha-ideal-phy.cc
--- ns-3.43/src/spectrum/examples/adhoc-aloha-ideal-phy.cc	2024-10-09 16:41:10.088656700 -0700
+++ ns-3.44/src/spectrum/examples/adhoc-aloha-ideal-phy.cc	2025-03-09 16:55:49.695372300 -0700
@@ -6,21 +6,21 @@
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
 
-#include <ns3/adhoc-aloha-noack-ideal-phy-helper.h>
-#include <ns3/applications-module.h>
-#include <ns3/core-module.h>
-#include <ns3/friis-spectrum-propagation-loss.h>
-#include <ns3/ism-spectrum-value-helper.h>
-#include <ns3/log.h>
-#include <ns3/mobility-module.h>
-#include <ns3/network-module.h>
-#include <ns3/propagation-delay-model.h>
-#include <ns3/single-model-spectrum-channel.h>
-#include <ns3/spectrum-analyzer.h>
-#include <ns3/spectrum-helper.h>
-#include <ns3/spectrum-model-300kHz-300GHz-log.h>
-#include <ns3/spectrum-model-ism2400MHz-res1MHz.h>
-#include <ns3/waveform-generator.h>
+#include "ns3/adhoc-aloha-noack-ideal-phy-helper.h"
+#include "ns3/applications-module.h"
+#include "ns3/core-module.h"
+#include "ns3/friis-spectrum-propagation-loss.h"
+#include "ns3/ism-spectrum-value-helper.h"
+#include "ns3/log.h"
+#include "ns3/mobility-module.h"
+#include "ns3/network-module.h"
+#include "ns3/propagation-delay-model.h"
+#include "ns3/single-model-spectrum-channel.h"
+#include "ns3/spectrum-analyzer.h"
+#include "ns3/spectrum-helper.h"
+#include "ns3/spectrum-model-300kHz-300GHz-log.h"
+#include "ns3/spectrum-model-ism2400MHz-res1MHz.h"
+#include "ns3/waveform-generator.h"
 
 #include <iostream>
 #include <string>
@@ -35,8 +35,8 @@
 /**
  * PHY start TX trace.
  *
- * \param context The context.
- * \param p The packet.
+ * @param context The context.
+ * @param p The packet.
  */
 void
 PhyTxStartTrace(std::string context, Ptr<const Packet> p)
@@ -50,8 +50,8 @@
 /**
  * PHY end TX trace.
  *
- * \param context The context.
- * \param p The packet.
+ * @param context The context.
+ * @param p The packet.
  */
 void
 PhyTxEndTrace(std::string context, Ptr<const Packet> p)
@@ -65,8 +65,8 @@
 /**
  * PHY start RX trace.
  *
- * \param context The context.
- * \param p The packet.
+ * @param context The context.
+ * @param p The packet.
  */
 void
 PhyRxStartTrace(std::string context, Ptr<const Packet> p)
@@ -80,8 +80,8 @@
 /**
  * PHY end OK RX trace.
  *
- * \param context The context.
- * \param p The packet.
+ * @param context The context.
+ * @param p The packet.
  */
 void
 PhyRxEndOkTrace(std::string context, Ptr<const Packet> p)
@@ -95,8 +95,8 @@
 /**
  * PHY end error RX trace.
  *
- * \param context The context.
- * \param p The packet.
+ * @param context The context.
+ * @param p The packet.
  */
 void
 PhyRxEndErrorTrace(std::string context, Ptr<const Packet> p)
@@ -110,7 +110,7 @@
 /**
  * Receive callback.
  *
- * \param socket The receiving socket.
+ * @param socket The receiving socket.
  */
 void
 ReceivePacket(Ptr<Socket> socket)
@@ -130,8 +130,8 @@
 /**
  * Create a socket and prepare it for packet reception.
  *
- * \param node The node.
- * \return a new socket
+ * @param node The node.
+ * @return a new socket
  */
 Ptr<Socket>
 SetupPacketReceive(Ptr<Node> node)
@@ -203,7 +203,7 @@
 
     Ptr<Socket> recvSink = SetupPacketReceive(c.Get(1));
 
-    Simulator::Stop(Seconds(10.0));
+    Simulator::Stop(Seconds(10));
 
     Config::Connect("/NodeList/*/DeviceList/*/Phy/TxStart", MakeCallback(&PhyTxStartTrace));
     Config::Connect("/NodeList/*/DeviceList/*/Phy/TxEnd", MakeCallback(&PhyTxEndTrace));
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/spectrum/examples/adhoc-aloha-ideal-phy-matrix-propagation-loss-model.cc ns-3.44/src/spectrum/examples/adhoc-aloha-ideal-phy-matrix-propagation-loss-model.cc
--- ns-3.43/src/spectrum/examples/adhoc-aloha-ideal-phy-matrix-propagation-loss-model.cc	2024-10-09 16:41:10.088656700 -0700
+++ ns-3.44/src/spectrum/examples/adhoc-aloha-ideal-phy-matrix-propagation-loss-model.cc	2025-03-09 16:55:49.695372300 -0700
@@ -6,21 +6,21 @@
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
 
-#include <ns3/adhoc-aloha-noack-ideal-phy-helper.h>
-#include <ns3/applications-module.h>
-#include <ns3/core-module.h>
-#include <ns3/friis-spectrum-propagation-loss.h>
-#include <ns3/ism-spectrum-value-helper.h>
-#include <ns3/log.h>
-#include <ns3/mobility-module.h>
-#include <ns3/network-module.h>
-#include <ns3/propagation-delay-model.h>
-#include <ns3/single-model-spectrum-channel.h>
-#include <ns3/spectrum-analyzer.h>
-#include <ns3/spectrum-helper.h>
-#include <ns3/spectrum-model-300kHz-300GHz-log.h>
-#include <ns3/spectrum-model-ism2400MHz-res1MHz.h>
-#include <ns3/waveform-generator.h>
+#include "ns3/adhoc-aloha-noack-ideal-phy-helper.h"
+#include "ns3/applications-module.h"
+#include "ns3/core-module.h"
+#include "ns3/friis-spectrum-propagation-loss.h"
+#include "ns3/ism-spectrum-value-helper.h"
+#include "ns3/log.h"
+#include "ns3/mobility-module.h"
+#include "ns3/network-module.h"
+#include "ns3/propagation-delay-model.h"
+#include "ns3/single-model-spectrum-channel.h"
+#include "ns3/spectrum-analyzer.h"
+#include "ns3/spectrum-helper.h"
+#include "ns3/spectrum-model-300kHz-300GHz-log.h"
+#include "ns3/spectrum-model-ism2400MHz-res1MHz.h"
+#include "ns3/waveform-generator.h"
 
 #include <iomanip>
 #include <iostream>
@@ -36,8 +36,8 @@
 /**
  * Trace for PHY Rx successful end.
  *
- * \param context The context.
- * \param p The packet.
+ * @param context The context.
+ * @param p The packet.
  */
 void
 PhyRxEndOkTrace(std::string context, Ptr<const Packet> p)
@@ -50,7 +50,7 @@
 }
 
 /**
- * \ingroup spectrum
+ * @ingroup spectrum
  *
  * Store the last pathloss value for each TX-RX pair. This is an
  * example of how the PathlossTrace (provided by some SpectrumChannel
@@ -63,10 +63,10 @@
     /**
      * update the pathloss value
      *
-     * \param context
-     * \param txPhy the transmitting PHY
-     * \param rxPhy the receiving PHY
-     * \param lossDb the loss in dB
+     * @param context
+     * @param txPhy the transmitting PHY
+     * @param rxPhy the receiving PHY
+     * @param lossDb the loss in dB
      */
     void UpdatePathloss(std::string context,
                         Ptr<const SpectrumPhy> txPhy,
@@ -179,7 +179,7 @@
     onoff.SetAttribute("PacketSize", UintegerValue(pktSize));
 
     ApplicationContainer apps = onoff.Install(c.Get(0));
-    apps.Start(Seconds(0.0));
+    apps.Start(Seconds(0));
     apps.Stop(Seconds(simDuration));
 
     Config::Connect("/NodeList/*/DeviceList/*/Phy/RxEndOk", MakeCallback(&PhyRxEndOkTrace));
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/spectrum/examples/adhoc-aloha-ideal-phy-with-microwave-oven.cc ns-3.44/src/spectrum/examples/adhoc-aloha-ideal-phy-with-microwave-oven.cc
--- ns-3.43/src/spectrum/examples/adhoc-aloha-ideal-phy-with-microwave-oven.cc	2024-10-09 16:41:10.088656700 -0700
+++ ns-3.44/src/spectrum/examples/adhoc-aloha-ideal-phy-with-microwave-oven.cc	2025-03-09 16:55:49.695372300 -0700
@@ -6,25 +6,25 @@
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
 
-#include <ns3/adhoc-aloha-noack-ideal-phy-helper.h>
-#include <ns3/applications-module.h>
-#include <ns3/core-module.h>
-#include <ns3/friis-spectrum-propagation-loss.h>
-#include <ns3/ism-spectrum-value-helper.h>
-#include <ns3/log.h>
-#include <ns3/microwave-oven-spectrum-value-helper.h>
-#include <ns3/mobility-module.h>
-#include <ns3/multi-model-spectrum-channel.h>
-#include <ns3/network-module.h>
-#include <ns3/non-communicating-net-device.h>
-#include <ns3/propagation-delay-model.h>
-#include <ns3/spectrum-analyzer-helper.h>
-#include <ns3/spectrum-analyzer.h>
-#include <ns3/spectrum-helper.h>
-#include <ns3/spectrum-model-300kHz-300GHz-log.h>
-#include <ns3/spectrum-model-ism2400MHz-res1MHz.h>
-#include <ns3/waveform-generator-helper.h>
-#include <ns3/waveform-generator.h>
+#include "ns3/adhoc-aloha-noack-ideal-phy-helper.h"
+#include "ns3/applications-module.h"
+#include "ns3/core-module.h"
+#include "ns3/friis-spectrum-propagation-loss.h"
+#include "ns3/ism-spectrum-value-helper.h"
+#include "ns3/log.h"
+#include "ns3/microwave-oven-spectrum-value-helper.h"
+#include "ns3/mobility-module.h"
+#include "ns3/multi-model-spectrum-channel.h"
+#include "ns3/network-module.h"
+#include "ns3/non-communicating-net-device.h"
+#include "ns3/propagation-delay-model.h"
+#include "ns3/spectrum-analyzer-helper.h"
+#include "ns3/spectrum-analyzer.h"
+#include "ns3/spectrum-helper.h"
+#include "ns3/spectrum-model-300kHz-300GHz-log.h"
+#include "ns3/spectrum-model-ism2400MHz-res1MHz.h"
+#include "ns3/waveform-generator-helper.h"
+#include "ns3/waveform-generator.h"
 
 #include <iostream>
 #include <string>
@@ -39,8 +39,8 @@
 /**
  *
  *
- * \param context
- * \param p
+ * @param context
+ * @param p
  */
 void
 PhyTxStartTrace(std::string context, Ptr<const Packet> p)
@@ -54,8 +54,8 @@
 /**
  * PHY start TX trace.
  *
- * \param context The context.
- * \param p The packet.
+ * @param context The context.
+ * @param p The packet.
  */
 void
 PhyTxEndTrace(std::string context, Ptr<const Packet> p)
@@ -69,8 +69,8 @@
 /**
  * PHY end TX trace.
  *
- * \param context The context.
- * \param p The packet.
+ * @param context The context.
+ * @param p The packet.
  */
 void
 PhyRxStartTrace(std::string context, Ptr<const Packet> p)
@@ -84,8 +84,8 @@
 /**
  * PHY end OK RX trace.
  *
- * \param context The context.
- * \param p The packet.
+ * @param context The context.
+ * @param p The packet.
  */
 void
 PhyRxEndOkTrace(std::string context, Ptr<const Packet> p)
@@ -99,8 +99,8 @@
 /**
  * PHY end error RX trace.
  *
- * \param context The context.
- * \param p The packet.
+ * @param context The context.
+ * @param p The packet.
  */
 void
 PhyRxEndErrorTrace(std::string context, Ptr<const Packet> p)
@@ -114,7 +114,7 @@
 /**
  * Receive callback.
  *
- * \param socket The receiving socket.
+ * @param socket The receiving socket.
  */
 void
 ReceivePacket(Ptr<Socket> socket)
@@ -134,8 +134,8 @@
 /**
  * Create a socket and prepare it for packet reception.
  *
- * \param node The node.
- * \return a new socket
+ * @param node The node.
+ * @return a new socket
  */
 Ptr<Socket>
 SetupPacketReceive(Ptr<Node> node)
@@ -220,7 +220,7 @@
     onoff.SetAttribute("PacketSize", UintegerValue(1500));
 
     ApplicationContainer apps = onoff.Install(ofdmNodes.Get(0));
-    apps.Start(Seconds(0.0));
+    apps.Start(Seconds(0));
     apps.Stop(Seconds(1));
 
     Ptr<Socket> recvSink = SetupPacketReceive(ofdmNodes.Get(1));
@@ -255,7 +255,7 @@
 
     SpectrumAnalyzerHelper spectrumAnalyzerHelper;
     spectrumAnalyzerHelper.SetChannel(channel);
-    spectrumAnalyzerHelper.SetRxSpectrumModel(SpectrumModelIsm2400MhzRes1Mhz);
+    spectrumAnalyzerHelper.SetRxSpectrumModel(SpectrumModelIsm2400MhzRes1Mhz());
     spectrumAnalyzerHelper.SetPhyAttribute("Resolution", TimeValue(MilliSeconds(2)));
     spectrumAnalyzerHelper.SetPhyAttribute("NoisePowerSpectralDensity",
                                            DoubleValue(1e-15)); // -120 dBm/Hz
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/spectrum/examples/three-gpp-channel-example.cc ns-3.44/src/spectrum/examples/three-gpp-channel-example.cc
--- ns-3.43/src/spectrum/examples/three-gpp-channel-example.cc	2024-10-09 16:41:10.088656700 -0700
+++ ns-3.44/src/spectrum/examples/three-gpp-channel-example.cc	2025-03-09 16:55:49.695372300 -0700
@@ -43,7 +43,7 @@
     m_spectrumLossModel; //!< the SpectrumPropagationLossModel object
 
 /**
- * \brief A structure that holds the parameters for the
+ * @brief A structure that holds the parameters for the
  * ComputeSnr function. In this way the problem with the limited
  * number of parameters of method Schedule is avoided.
  */
@@ -59,9 +59,9 @@
 
 /**
  * Perform the beamforming using the DFT beamforming method
- * \param thisDevice the device performing the beamforming
- * \param thisAntenna the antenna object associated to thisDevice
- * \param otherDevice the device towards which point the beam
+ * @param thisDevice the device performing the beamforming
+ * @param thisAntenna the antenna object associated to thisDevice
+ * @param otherDevice the device towards which point the beam
  */
 static void
 DoBeamforming(Ptr<NetDevice> thisDevice,
@@ -106,7 +106,7 @@
 
 /**
  * Compute the average SNR
- * \param params A structure that holds the parameters that are needed to perform calculations in
+ * @param params A structure that holds the parameters that are needed to perform calculations in
  * ComputeSnr
  */
 static void
@@ -174,7 +174,7 @@
     Config::SetDefault("ns3::ThreeGppChannelModel::UpdatePeriod",
                        TimeValue(MilliSeconds(1))); // update the channel at each iteration
     Config::SetDefault("ns3::ThreeGppChannelConditionModel::UpdatePeriod",
-                       TimeValue(MilliSeconds(0.0))); // do not update the channel condition
+                       TimeValue(MilliSeconds(0))); // do not update the channel condition
 
     RngSeedManager::SetSeed(1);
     RngSeedManager::SetRun(1);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/spectrum/examples/three-gpp-ntn-channel-example.cc ns-3.44/src/spectrum/examples/three-gpp-ntn-channel-example.cc
--- ns-3.43/src/spectrum/examples/three-gpp-ntn-channel-example.cc	2024-10-09 16:41:10.088656700 -0700
+++ ns-3.44/src/spectrum/examples/three-gpp-ntn-channel-example.cc	2025-03-09 16:55:49.695372300 -0700
@@ -6,7 +6,7 @@
  */
 
 /**
- * \file
+ * @file
  * This example is a modified version of "three-gpp-channel-example", to include
  * the 3GPP NTN channel model.
  * Specifically, most changes (which are also highlighted throughout the code)
@@ -20,6 +20,7 @@
  * The result is the SNR of the signal and the path loss, saved in the ntn-snr-trace.txt file.
  */
 
+#include "ns3/antenna-model.h"
 #include "ns3/channel-condition-model.h"
 #include "ns3/constant-position-mobility-model.h"
 #include "ns3/core-module.h"
@@ -36,7 +37,6 @@
 #include "ns3/three-gpp-propagation-loss-model.h"
 #include "ns3/three-gpp-spectrum-propagation-loss-model.h"
 #include "ns3/uniform-planar-array.h"
-#include <ns3/antenna-model.h>
 
 #include <fstream>
 
@@ -143,7 +143,7 @@
 }
 
 /**
- * \brief A structure that holds the parameters for the
+ * @brief A structure that holds the parameters for the
  * ComputeSnr function. In this way the problem with the limited
  * number of parameters of method Schedule is avoided.
  */
@@ -160,16 +160,16 @@
     double resourceBlockBandwidth;   //!< the Resource Block bandwidth in Hz
 
     /**
-     * \brief Constructor
-     * \param pTxMob the tx mobility model
-     * \param pRxMob the rx mobility model
-     * \param pTxPow the tx power in dBm
-     * \param pNoiseFigure the noise figure in dB
-     * \param pTxAntenna the tx antenna array
-     * \param pRxAntenna the rx antenna array
-     * \param pFrequency the carrier frequency in Hz
-     * \param pBandwidth the total bandwidth in Hz
-     * \param pResourceBlockBandwidth the Resource Block bandwidth in Hz
+     * @brief Constructor
+     * @param pTxMob the tx mobility model
+     * @param pRxMob the rx mobility model
+     * @param pTxPow the tx power in dBm
+     * @param pNoiseFigure the noise figure in dB
+     * @param pTxAntenna the tx antenna array
+     * @param pRxAntenna the rx antenna array
+     * @param pFrequency the carrier frequency in Hz
+     * @param pBandwidth the total bandwidth in Hz
+     * @param pResourceBlockBandwidth the Resource Block bandwidth in Hz
      */
     ComputeSnrParams(Ptr<MobilityModel> pTxMob,
                      Ptr<MobilityModel> pRxMob,
@@ -195,9 +195,9 @@
 
 /**
  * Perform the beamforming using the DFT beamforming method
- * \param thisDevice the device performing the beamforming
- * \param thisAntenna the antenna object associated to thisDevice
- * \param otherDevice the device towards which point the beam
+ * @param thisDevice the device performing the beamforming
+ * @param thisAntenna the antenna object associated to thisDevice
+ * @param otherDevice the device towards which point the beam
  */
 static void
 DoBeamforming(Ptr<NetDevice> thisDevice,
@@ -241,7 +241,7 @@
 
 /**
  * Compute the average SNR
- * \param params A structure that holds the parameters that are needed to perform calculations in
+ * @param params A structure that holds the parameters that are needed to perform calculations in
  * ComputeSnr
  */
 static void
@@ -345,7 +345,7 @@
     Config::SetDefault("ns3::ThreeGppChannelModel::UpdatePeriod",
                        TimeValue(MilliSeconds(10))); // update the channel at every 10 ms
     Config::SetDefault("ns3::ThreeGppChannelConditionModel::UpdatePeriod",
-                       TimeValue(MilliSeconds(0.0))); // do not update the channel condition
+                       TimeValue(MilliSeconds(0))); // do not update the channel condition
 
     RngSeedManager::SetSeed(1);
     RngSeedManager::SetRun(1);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/spectrum/examples/three-gpp-two-ray-channel-calibration.cc ns-3.44/src/spectrum/examples/three-gpp-two-ray-channel-calibration.cc
--- ns-3.43/src/spectrum/examples/three-gpp-two-ray-channel-calibration.cc	2024-10-09 16:41:10.088656700 -0700
+++ ns-3.44/src/spectrum/examples/three-gpp-two-ray-channel-calibration.cc	2025-03-09 16:55:49.695372300 -0700
@@ -6,21 +6,21 @@
  *
  */
 
-#include <ns3/command-line.h>
-#include <ns3/core-module.h>
-#include <ns3/double.h>
-#include <ns3/isotropic-antenna-model.h>
-#include <ns3/mobility-helper.h>
-#include <ns3/node-container.h>
-#include <ns3/object-factory.h>
-#include <ns3/pointer.h>
-#include <ns3/string.h>
-#include <ns3/three-gpp-channel-model.h>
-#include <ns3/three-gpp-propagation-loss-model.h>
-#include <ns3/three-gpp-spectrum-propagation-loss-model.h>
-#include <ns3/two-ray-spectrum-propagation-loss-model.h>
-#include <ns3/uinteger.h>
-#include <ns3/uniform-planar-array.h>
+#include "ns3/command-line.h"
+#include "ns3/core-module.h"
+#include "ns3/double.h"
+#include "ns3/isotropic-antenna-model.h"
+#include "ns3/mobility-helper.h"
+#include "ns3/node-container.h"
+#include "ns3/object-factory.h"
+#include "ns3/pointer.h"
+#include "ns3/string.h"
+#include "ns3/three-gpp-channel-model.h"
+#include "ns3/three-gpp-propagation-loss-model.h"
+#include "ns3/three-gpp-spectrum-propagation-loss-model.h"
+#include "ns3/two-ray-spectrum-propagation-loss-model.h"
+#include "ns3/uinteger.h"
+#include "ns3/uniform-planar-array.h"
 
 NS_LOG_COMPONENT_DEFINE("ThreeGppTwoRayChannelCalibration");
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/spectrum/examples/tv-trans-example.cc ns-3.44/src/spectrum/examples/tv-trans-example.cc
--- ns-3.43/src/spectrum/examples/tv-trans-example.cc	2024-10-09 16:41:10.088656700 -0700
+++ ns-3.44/src/spectrum/examples/tv-trans-example.cc	2025-03-09 16:55:49.695372300 -0700
@@ -6,11 +6,11 @@
  * Author: Benjamin Cizdziel <ben.cizdziel@gmail.com>
  */
 
-#include <ns3/core-module.h>
-#include <ns3/mobility-module.h>
-#include <ns3/spectrum-analyzer-helper.h>
-#include <ns3/spectrum-helper.h>
-#include <ns3/tv-spectrum-transmitter-helper.h>
+#include "ns3/core-module.h"
+#include "ns3/mobility-module.h"
+#include "ns3/spectrum-analyzer-helper.h"
+#include "ns3/spectrum-helper.h"
+#include "ns3/tv-spectrum-transmitter-helper.h"
 
 #include <iostream>
 #include <stdlib.h>
